Package Gnumed :: Package pycommon :: Module gmBusinessDBObject |
[frames] | no frames]

# Module gmBusinessDBObject

source code

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later

Classes
| cBusinessDBObject Represents business objects in the database.

Variables
| __doc__ = `"""GNUmed database object business cla`...``

Imports: sys, inspect, logging, datetime, gmExceptions, gmPG2, pydt_strftime, tex_escape_string, xetex_escape_string, compare_dict_likes, format_dict_like, dicts2table, u_left_arrow

Variables Details

  ### __doc__ Value:
      """GNUmed database object business class.

      Overview
      --------
      This class wraps a source relation (table, view) which
      represents an entity that makes immediate business sense
      such as a vaccination or a medical document. In many if
      not most cases this source relation is a denormalizing
      ...